searchData={"items":[{"type":"task","title":"mix compile.makesgp4","doc":"","ref":"Mix.Tasks.Compile.Makesgp4.html"},{"type":"module","title":"SGP4NIF","doc":"","ref":"SGP4NIF.html"},{"type":"function","title":"SGP4NIF.load_nif/0","doc":"","ref":"SGP4NIF.html#load_nif/0"},{"type":"function","title":"SGP4NIF.propagate_tle/3","doc":"","ref":"SGP4NIF.html#propagate_tle/3"},{"type":"module","title":"Sgp4Ex","doc":"SGP4 propagation module for Elixir.","ref":"Sgp4Ex.html"},{"type":"function","title":"Sgp4Ex.parse_tle/2","doc":"Parse a TLE (Two-Line Element) set into a TLE struct.\nThe TLE consists of two lines, each with a specific format.","ref":"Sgp4Ex.html#parse_tle/2"},{"type":"function","title":"Parameters - Sgp4Ex.parse_tle/2","doc":"- `line1`: The first line of the TLE.\n- `line2`: The second line of the TLE.","ref":"Sgp4Ex.html#parse_tle/2-parameters"},{"type":"function","title":"Returns - Sgp4Ex.parse_tle/2","doc":"- `{:ok, TLE.t()}`: The parsed TLE struct.\n- `{:error, String.t()}`: An error message if the parsing fails.","ref":"Sgp4Ex.html#parse_tle/2-returns"},{"type":"function","title":"Example - Sgp4Ex.parse_tle/2","doc":"iex> line1 = \"1 25544U 98067A   21275.54791667  .00001264  00000-0  39629-5 0  9993\"\n    iex> line2 = \"2 25544  51.6456  23.4367 0001234  45.6789 314.3210 15.48999999    12\"\n    iex> Sgp4Ex.parse_tle(line1, line2)\n    {:ok, %Sgp4Ex.TLE{...}}","ref":"Sgp4Ex.html#parse_tle/2-example"},{"type":"function","title":"Sgp4Ex.propagate_tle_to_epoch/2","doc":"Propagate a TLE to a specific epoch using the SGP4 algorithm.\nThe epoch is the time to which the TLE should be propagated.","ref":"Sgp4Ex.html#propagate_tle_to_epoch/2"},{"type":"function","title":"Parameters - Sgp4Ex.propagate_tle_to_epoch/2","doc":"- `tle`: The TLE data structure containing the satellite's orbital elements.\n- `epoch`: The epoch to which the TLE should be propagated.","ref":"Sgp4Ex.html#propagate_tle_to_epoch/2-parameters"},{"type":"function","title":"Returns - Sgp4Ex.propagate_tle_to_epoch/2","doc":"- `{:ok, TemeState.t()}`: The propagated Teme state of the satellite.\n- `{:error, String.t()}`: An error message if the propagation fails.","ref":"Sgp4Ex.html#propagate_tle_to_epoch/2-returns"},{"type":"function","title":"Example - Sgp4Ex.propagate_tle_to_epoch/2","doc":"iex> tle = Sgp4Ex.parse_tle(\n    ...>   line1: \"1 25544U 98067A   21275.54791667  .00001264  00000-0  39629-5 0  9993\",\n    ...>   line2: \"2 25544  51.6456  23.4367 0001234  45.6789 314.3210 15.48999999    12\"\n    ...> )\n    iex> epoch = ~U[2021-10-02T14:00:00Z]\n    iex> Sgp4Ex.propagate_tle_to_epoch(tle, epoch)\n    {:ok, %Sgp4Ex.TemeState{position: {x, y, z}, velocity: {vx, vy, vz}}}","ref":"Sgp4Ex.html#propagate_tle_to_epoch/2-example"},{"type":"module","title":"Sgp4Ex.TLE","doc":"A module for handling TLE (Two-Line Element) data.","ref":"Sgp4Ex.TLE.html"},{"type":"type","title":"Sgp4Ex.TLE.t/0","doc":"","ref":"Sgp4Ex.TLE.html#t:t/0"},{"type":"module","title":"Sgp4Ex.TemeState","doc":"A module for representing the Teme state of a satellite.","ref":"Sgp4Ex.TemeState.html"},{"type":"type","title":"Sgp4Ex.TemeState.t/0","doc":"","ref":"Sgp4Ex.TemeState.html#t:t/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}